<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:06 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>UserClass</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UserClass";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UserClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/PrestamosProcess.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Negocio/UserProcess.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/UserClass.html" target="_top">Frames</a></li>
<li><a href="UserClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Negocio</div>
<h2 title="Class UserClass" class="title">Class UserClass</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Negocio.UserClass</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">UserClass</span>
extends java.lang.Object</pre>
<div class="block">Clase UserClass<br>
 
 Integra los constructores y metodos para la creacion y manipulacion de los datos de los usuarios que sean necesarios</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#UserClass--">UserClass</a></span>()</code>
<div class="block">Constructor de clase vacio</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#UserClass-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">UserClass</a></span>(java.lang.String&nbsp;numCarnet,
         java.lang.String&nbsp;nombre,
         java.lang.String&nbsp;apellidos,
         java.lang.String&nbsp;direccion,
         java.lang.String&nbsp;tlf,
         java.lang.String&nbsp;email,
         java.lang.String&nbsp;password)</code>
<div class="block">Constructor de clase con atributos de la clase</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#getApellidos--">getApellidos</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#getDireccion--">getDireccion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#getEmail--">getEmail</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#getNombre--">getNombre</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#getNumCarnet--">getNumCarnet</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#getPassword--">getPassword</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#getTlf--">getTlf</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#setApellidos-java.lang.String-">setApellidos</a></span>(java.lang.String&nbsp;apellidos)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#setDireccion-java.lang.String-">setDireccion</a></span>(java.lang.String&nbsp;direccion)</code>
<div class="block">enivar direccion <br></div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#setEmail-java.lang.String-">setEmail</a></span>(java.lang.String&nbsp;email)</code>
<div class="block">enivar dato dfe email<br></div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#setNombre-java.lang.String-">setNombre</a></span>(java.lang.String&nbsp;nombre)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#setNumCarnet-java.lang.String-">setNumCarnet</a></span>(java.lang.String&nbsp;numCarnet)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#setPassword-java.lang.String-">setPassword</a></span>(java.lang.String&nbsp;password)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserClass.html#setTlf-java.lang.String-">setTlf</a></span>(java.lang.String&nbsp;tlf)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="UserClass-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UserClass</h4>
<pre>public&nbsp;UserClass(java.lang.String&nbsp;numCarnet,
                 java.lang.String&nbsp;nombre,
                 java.lang.String&nbsp;apellidos,
                 java.lang.String&nbsp;direccion,
                 java.lang.String&nbsp;tlf,
                 java.lang.String&nbsp;email,
                 java.lang.String&nbsp;password)</pre>
<div class="block">Constructor de clase con atributos de la clase</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numCarnet</code> - numero del carnet</dd>
<dd><code>nombre</code> - nombre del usuario</dd>
<dd><code>apellidos</code> - apellidos del usuario</dd>
<dd><code>direccion</code> - direccion del usuario</dd>
<dd><code>tlf</code> - telefono del usuario</dd>
<dd><code>email</code> - email del usuario</dd>
<dd><code>password</code> - contraseña del usuario</dd>
</dl>
</li>
</ul>
<a name="UserClass--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UserClass</h4>
<pre>public&nbsp;UserClass()</pre>
<div class="block">Constructor de clase vacio</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNumCarnet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumCarnet</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNumCarnet()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String - devulve el numero del carnet de usuario</dd>
</dl>
</li>
</ul>
<a name="setNumCarnet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNumCarnet</h4>
<pre>public&nbsp;void&nbsp;setNumCarnet(java.lang.String&nbsp;numCarnet)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numCarnet</code> - numero de carnet de usuario</dd>
</dl>
</li>
</ul>
<a name="getNombre--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNombre</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNombre()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String - devulve el nombre del usuario</dd>
</dl>
</li>
</ul>
<a name="setNombre-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNombre</h4>
<pre>public&nbsp;void&nbsp;setNombre(java.lang.String&nbsp;nombre)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nombre</code> - nombre del usuario</dd>
</dl>
</li>
</ul>
<a name="getApellidos--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApellidos</h4>
<pre>public&nbsp;java.lang.String&nbsp;getApellidos()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String - devulve los apellidos del usuario</dd>
</dl>
</li>
</ul>
<a name="setApellidos-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setApellidos</h4>
<pre>public&nbsp;void&nbsp;setApellidos(java.lang.String&nbsp;apellidos)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>apellidos</code> - apellidos del usuario</dd>
</dl>
</li>
</ul>
<a name="getDireccion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDireccion</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDireccion()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String - devulve la direccion</dd>
</dl>
</li>
</ul>
<a name="setDireccion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDireccion</h4>
<pre>public&nbsp;void&nbsp;setDireccion(java.lang.String&nbsp;direccion)</pre>
<div class="block">enivar direccion <br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>direccion</code> - String</dd>
</dl>
</li>
</ul>
<a name="getTlf--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTlf</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTlf()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String - devulve el numero de telefono del usuario</dd>
</dl>
</li>
</ul>
<a name="setTlf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTlf</h4>
<pre>public&nbsp;void&nbsp;setTlf(java.lang.String&nbsp;tlf)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tlf</code> - numero de telefono</dd>
</dl>
</li>
</ul>
<a name="getEmail--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEmail</h4>
<pre>public&nbsp;java.lang.String&nbsp;getEmail()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String - devuelve el email del usuario</dd>
</dl>
</li>
</ul>
<a name="setEmail-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEmail</h4>
<pre>public&nbsp;void&nbsp;setEmail(java.lang.String&nbsp;email)</pre>
<div class="block">enivar dato dfe email<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>email</code> - String</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPassword()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String - devulve la contraseña del usuario</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword(java.lang.String&nbsp;password)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - contraseña</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UserClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/PrestamosProcess.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Negocio/UserProcess.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/UserClass.html" target="_top">Frames</a></li>
<li><a href="UserClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
